<?php
namespace Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;

class ReceitasSolicitacaoCheckListEmergencialController extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $dataSourceName = "recsolemergprod_receitam";
    protected $receitasSolicitacaoService;
    protected $destinosController;
    protected $crudService;
    
    public function __construct($crudService, $parameterBag, $receitasSolicitacaoService, $destinosController) {
        
        $this->crudService                  = $crudService;
        $this->receitasSolicitacaoService   = $receitasSolicitacaoService;
        $this->destinosController           = $destinosController;
        
        parent::__construct($crudService, $parameterBag);
        
    }
    
    public function save(Request $request, Response $response){
        
        parent::save($request, $response);
        
        $rows = $request->getDataSet()->getRows();
        $this->calcNewDestinationRecipeAmount($rows);
        
    }
    
    public function calcNewDestinationRecipeAmount($rows){
        
        forEach($rows as $row){
            
            if(!$row["__is_new"] && $row["REALIZARRATEIO"]){
                $newDestinations = $this->receitasSolicitacaoService->calcNewDestinationRecipeAmount($row);
            }
            
        }
        
        
    }
    
}