/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DIASENTR                                                 */
/* Tabela : DIASENTR                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 08/05/2003 - Adriano de Arajo                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_DIASENTR
BEFORE INSERT OR UPDATE OR DELETE
ON DIASENTR FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDIEN := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPERIENTR,0) <> NVL(:NEW.CDPERIENTR,0)) THEN
         :NEW.DTULTATUDIEN := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('DIASENTR', '', 'CDPERIENTR='||:OLD.CDPERIENTR||';DIENTREGA='||:OLD.DIENTREGA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE DIASENTR MODIFY DTULTATUDIEN DEFAULT SYSDATE
/
